﻿//-----------------------------------------------------------------------
// <copyright file="ActionLogRepository.cs" company="deixei.com">
//     Copyright (c) deixei.com. All rights reserved.
// </copyright>
// <author>Marcio Parente</author>
//--------------------------------------------------------------------
namespace Deixei.Domain.Repository
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Threading.Tasks;

    public class ActionLogRepository : Repository<ActionLog>, IActionLogRepository
    {
        public ActionLogRepository(IUnitOfWork unitOfWork)
            : base(unitOfWork)
        {
        }
    }

    public interface IActionLogRepository : IRepository<ActionLog>
    {
    }
}
