﻿//-----------------------------------------------------------------------
// <copyright file="CommonConstants.cs" company="deixei.com">
//     Copyright (c) deixei.com. All rights reserved.
// </copyright>
// <author>Marcio Parente</author>
//---------------------------------------------------------------------
namespace Deixei
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;

    /// <summary>
    /// Common Constants
    /// </summary>
    public static class CommonConstants
    {
        /// <summary>
        /// Default Controller Name, used in the MVC router
        /// </summary>
        public const string DefaultControllerName = "Home";

        /// <summary>
        /// Default Action Name, used in the MVC router
        /// </summary>
        public const string DefaultActionName = "Index";
    }
}
