﻿using System.Web;
using System.Web.Optimization;

namespace Deixei.Web
{
    public class BundleConfig
    {
        // For more information on Bundling, visit http://go.microsoft.com/fwlink/?LinkId=254725
        public static void RegisterBundles(BundleCollection bundles)
        {
            //bundles.Add(new ScriptBundle("~/bundles/jquery").Include(
            //            "~/Scripts/jquery-{version}.js"));

            //bundles.Add(new ScriptBundle("~/bundles/jqueryui").Include(
            //            "~/Scripts/jquery-ui-{version}.js"));

            //bundles.Add(new ScriptBundle("~/bundles/jqueryval").Include(
            //            "~/Scripts/jquery.unobtrusive*",
            //            "~/Scripts/jquery.validate*"));

            // Use the development version of Modernizr to develop with and learn from. Then, when you're
            // ready for production, use the build tool at http://modernizr.com to pick only the tests you need.
            //bundles.Add(new ScriptBundle("~/bundles/modernizr").Include(
            //            "~/Scripts/modernizr-*"));

            //bundles.Add(new ScriptBundle("~/bundles/bootstrap").Include(
            //"~/Scripts/bootstrap.js"));

            //bundles.Add(new ScriptBundle("~/bundles/toastr").Include(
            //"~/Scripts/toastr.js"));
            
            ////amplify
            //bundles.Add(new ScriptBundle("~/bundles/amplify").Include(
            //"~/Scripts/amplify.js"));

            //bundles.Add(new ScriptBundle("~/bundles/knockout").Include(
            //"~/Scripts/knockout-{version}.js"));

            //bundles.Add(new ScriptBundle("~/bundles/ria").Include(
            //            "~/Scripts/ria.*"));

            //bundles.Add(new ScriptBundle("~/bundles/nav").Include(
            //            "~/Scripts/nav.*"));

            //bundles.Add(new ScriptBundle("~/bundles/history").Include(
            //            "~/Scripts/native.history.js"));

            //bundles.Add(new ScriptBundle("~/bundles/upshot").Include(
            //            "~/Scripts/upshot.js", 
            //            "~/Scripts/upshot.compat.knockout.js", 
            //            "~/Scripts/upshot.knockout.extensions.js"));

            //bundles.Add(new StyleBundle("~/Content/css").Include("~/Content/site.css"));

            //bundles.Add(new StyleBundle("~/Content/themes/base/css").Include(
            //            "~/Content/themes/base/jquery.ui.core.css",
            //            "~/Content/themes/base/jquery.ui.resizable.css",
            //            "~/Content/themes/base/jquery.ui.selectable.css",
            //            "~/Content/themes/base/jquery.ui.accordion.css",
            //            "~/Content/themes/base/jquery.ui.autocomplete.css",
            //            "~/Content/themes/base/jquery.ui.button.css",
            //            "~/Content/themes/base/jquery.ui.dialog.css",
            //            "~/Content/themes/base/jquery.ui.slider.css",
            //            "~/Content/themes/base/jquery.ui.tabs.css",
            //            "~/Content/themes/base/jquery.ui.datepicker.css",
            //            "~/Content/themes/base/jquery.ui.progressbar.css",
            //            "~/Content/themes/base/jquery.ui.theme.css"));

            //bundles.Add(new StyleBundle("~/Content/toastr").Include("~/Content/toastr.css", "~/Content/toastr-responsive.css"));
            //bundles.Add(new StyleBundle("~/Content/bootstrap").Include("~/Content/bootstrap.css", "~/Content/bootstrap-responsive.css"));




//<%: Styles.Render("~/Content/bootstrap") %>
//<%: Styles.Render("~/Content/toastr") %>
            // Base DEIXEI Style
            bundles.Add(new StyleBundle("~/Content/DEIXEI").Include(
                "~/Content/bootstrap.css", "~/Content/bootstrap-responsive.css",
                "~/Content/toastr.css", "~/Content/toastr-responsive.css",
                "~/Content/site.css"
                ));
//<%: Scripts.Render("~/bundles/modernizr") %>
//<%: Scripts.Render("~/bundles/jquery") %>
//<%: Scripts.Render("~/bundles/jqueryval") %>
//<%: Scripts.Render("~/bundles/knockout") %>
//<%: Scripts.Render("~/bundles/bootstrap") %>
//<%: Scripts.Render("~/bundles/toastr") %>
//<%: Scripts.Render("~/bundles/amplify") %>
//<%: Scripts.Render("~/bundles/upshot") %>
//<%: Scripts.Render("~/bundles/history") %>
//<%: Scripts.Render("~/bundles/nav") %>
            // Base DEIXEI JavaScript
            bundles.Add(new ScriptBundle("~/bundles/DEIXEI").Include(
                        "~/Scripts/modernizr-*",
                        "~/Scripts/jquery-{version}.js",
                        "~/Scripts/jquery.unobtrusive*", "~/Scripts/jquery.validate*",
                        "~/Scripts/knockout-{version}.js",
                        "~/Scripts/bootstrap.js",
                        "~/Scripts/toastr.js",
                        "~/Scripts/amplify.js",
                        "~/Scripts/upshot.js", "~/Scripts/upshot.compat.knockout.js", "~/Scripts/upshot.knockout.extensions.js",
                        "~/Scripts/native.history.js",
                        "~/Scripts/nav.*",
                        "~/Scripts/App/DeixeiScript.js"));

        }
    }
}