﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.Http.Controllers;
using System.Web.Http.Dispatcher;
using Microsoft.Practices.Unity;

namespace Deixei.Infrastructure
{
    public class HttpControllerActivator : IHttpControllerActivator
    {
        private IUnityContainer mContainer;
        public HttpControllerActivator(IUnityContainer container)
        {
            mContainer = container;
        }
        public IHttpController Create(HttpControllerContext controllerContext, Type controllerType)
        {
            return (IHttpController)mContainer.Resolve(controllerType);
        }

        public IHttpController Create(System.Net.Http.HttpRequestMessage request, HttpControllerDescriptor controllerDescriptor, Type controllerType)
        {
            return (IHttpController)mContainer.Resolve(controllerType);
        }
    }
}
