﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Deixei.Domain
{
    public class Product
    {
        [Key]
        public int ProductID
        {
            get;
            set;
        }
        public string ProductNumber
        {
            get;
            set;
        }
        public string Description
        {
            get;
            set;
        }
        public virtual ICollection<Supplier> Suppliers
        {
            get;
            set;
        }
    }
}


// Possible missing
//public class ProductDefinition
//{  
//    public int ProductID { get; set; }
//    public string ProductNumber { get; set; }
//    public string Description { get; set; }
//    public virtual ICollection<ProductInstance> Instances { get; set; }
//}


//public class ProductInstance
//{
//    public int ProductInstanceID { get; set; }
//    public virtual Supplier Supplier { get; set; }
//    public virtual ProductDefinition Definition { get; set; }
//    public vritual ICollection<Ingredient> Ingredients { get; set; }
//}